ForeignKeyDeleteAction (Oracle - Berkeley DB Java API)
Date: 2017-04-13

com.sleepycat.db

## Class ForeignKeyDeleteAction

- java.lang.Object
- - com.sleepycat.db.ForeignKeyDeleteAction

-     public class ForeignKeyDeleteAction
      extends java.lang.Object

  The action taken when a referenced record in the foreign key database is deleted.

  The delete action applies to a secondary database that is configured to have a foreign key integrity constraint. The delete action is specified by calling `SecondaryConfig.setForeignKeyDeleteAction(com.sleepycat.db.ForeignKeyDeleteAction)`.

  When a record in the foreign key database is deleted, it is checked to see if it is referenced by any record in the associated secondary database. If the key is referenced, the delete action is applied. By default, the delete action is `ABORT`.

  See Also:
    `SecondaryConfig`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ForeignKeyDeleteAction` | `ABORT` When a referenced record in the foreign key database is deleted, abort the transaction by throwing a `DatabaseException`.
    `static ForeignKeyDeleteAction` | `CASCADE` When a referenced record in the foreign key database is deleted, delete the primary database record that references it.
    `static ForeignKeyDeleteAction` | `NULLIFY` When a referenced record in the foreign key database is deleted, set the reference to null in the primary database record that references it, thereby deleting the secondary key.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ABORT

          public static ForeignKeyDeleteAction ABORT

      When a referenced record in the foreign key database is deleted, abort the transaction by throwing a `DatabaseException`.

    - #### CASCADE

          public static ForeignKeyDeleteAction CASCADE

      When a referenced record in the foreign key database is deleted, delete the primary database record that references it.

    - #### NULLIFY

          public static ForeignKeyDeleteAction NULLIFY

      When a referenced record in the foreign key database is deleted, set the reference to null in the primary database record that references it, thereby deleting the secondary key. @see ForeignKeyNullifier @see ForeignMultiKeyNullifier

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.